/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-25-2011 07:40:08pm
Filepath: scripts\Items\Artifacts\Gauntlet\LeggingsOfBane.cs
Lines of code: 41

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class LeggingsOfBane : ChainLegs
	{
		public override int LabelNumber{ get{ return 1061100; } } // Leggings of Bane
	

		public override int BasePoisonResistance{ get{ return 36; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public LeggingsOfBane()
		{
			Hue = 0x4F5;
			ArmorAttributes.DurabilityBonus = 100;
			Attributes.BonusStam = 8;
			Attributes.AttackChance = 20;
		}

		public LeggingsOfBane( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( version < 1 )
			{
				if ( Hue == 0x559 )
					Hue = 0x4F5;

				if ( ArmorAttributes.DurabilityBonus == 0 )
					ArmorAttributes.DurabilityBonus = 100;

				PoisonBonus = 0;
			}
		}
	}
}